Package com.emc.d2fs.services.bravacsr_annotation_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.bravacsr_annotation_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.bravacsr_annotation_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.bravacsr_annotation_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CreateAnnotationRequest`
  `createCreateAnnotationRequest()`
  Create an instance of `CreateAnnotationRequest`
  `CreateAnnotationResponse`
  `createCreateAnnotationResponse()`
  Create an instance of `CreateAnnotationResponse`
  `FetchAllAnnotationIdsRequest`
  `createFetchAllAnnotationIdsRequest()`
  Create an instance of `FetchAllAnnotationIdsRequest`
  `FetchAllAnnotationIdsResponse`
  `createFetchAllAnnotationIdsResponse()`
  Create an instance of `FetchAllAnnotationIdsResponse`
  `FetchAllAnnotationUsersRequest`
  `createFetchAllAnnotationUsersRequest()`
  Create an instance of `FetchAllAnnotationUsersRequest`
  `FetchAllAnnotationUsersResponse`
  `createFetchAllAnnotationUsersResponse()`
  Create an instance of `FetchAllAnnotationUsersResponse`
  `FetchAnnotationByIdRequest`
  `createFetchAnnotationByIdRequest()`
  Create an instance of `FetchAnnotationByIdRequest`
  `FetchAnnotationByIdResponse`
  `createFetchAnnotationByIdResponse()`
  Create an instance of `FetchAnnotationByIdResponse`
  `FetchAnnotationRequest`
  `createFetchAnnotationRequest()`
  Create an instance of `FetchAnnotationRequest`
  `FetchAnnotationResponse`
  `createFetchAnnotationResponse()`
  Create an instance of `FetchAnnotationResponse`
  `FetchChangemarkConfigURIRequest`
  `createFetchChangemarkConfigURIRequest()`
  Create an instance of `FetchChangemarkConfigURIRequest`
  `FetchChangemarkConfigURIResponse`
  `createFetchChangemarkConfigURIResponse()`
  Create an instance of `FetchChangemarkConfigURIResponse`
  `FetchImagesRequest`
  `createFetchImagesRequest()`
  Create an instance of `FetchImagesRequest`
  `FetchImagesResponse`
  `createFetchImagesResponse()`
  Create an instance of `FetchImagesResponse`
  `UpdateAnnotationRequest`
  `createUpdateAnnotationRequest()`
  Create an instance of `UpdateAnnotationRequest`
  `UpdateAnnotationResponse`
  `createUpdateAnnotationResponse()`
  Create an instance of `UpdateAnnotationResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.bravacsr_annotation_service

- ## Method Details

  - ### createCreateAnnotationRequest

    public CreateAnnotationRequest createCreateAnnotationRequest()
    Create an instance of `CreateAnnotationRequest`

  - ### createCreateAnnotationResponse

    public CreateAnnotationResponse createCreateAnnotationResponse()
    Create an instance of `CreateAnnotationResponse`

  - ### createUpdateAnnotationRequest

    public UpdateAnnotationRequest createUpdateAnnotationRequest()
    Create an instance of `UpdateAnnotationRequest`

  - ### createUpdateAnnotationResponse

    public UpdateAnnotationResponse createUpdateAnnotationResponse()
    Create an instance of `UpdateAnnotationResponse`

  - ### createFetchAnnotationRequest

    public FetchAnnotationRequest createFetchAnnotationRequest()
    Create an instance of `FetchAnnotationRequest`

  - ### createFetchAnnotationResponse

    public FetchAnnotationResponse createFetchAnnotationResponse()
    Create an instance of `FetchAnnotationResponse`

  - ### createFetchAnnotationByIdRequest

    public FetchAnnotationByIdRequest createFetchAnnotationByIdRequest()
    Create an instance of `FetchAnnotationByIdRequest`

  - ### createFetchAnnotationByIdResponse

    public FetchAnnotationByIdResponse createFetchAnnotationByIdResponse()
    Create an instance of `FetchAnnotationByIdResponse`

  - ### createFetchAllAnnotationIdsRequest

    public FetchAllAnnotationIdsRequest createFetchAllAnnotationIdsRequest()
    Create an instance of `FetchAllAnnotationIdsRequest`

  - ### createFetchAllAnnotationIdsResponse

    public FetchAllAnnotationIdsResponse createFetchAllAnnotationIdsResponse()
    Create an instance of `FetchAllAnnotationIdsResponse`

  - ### createFetchAllAnnotationUsersRequest

    public FetchAllAnnotationUsersRequest createFetchAllAnnotationUsersRequest()
    Create an instance of `FetchAllAnnotationUsersRequest`

  - ### createFetchAllAnnotationUsersResponse

    public FetchAllAnnotationUsersResponse createFetchAllAnnotationUsersResponse()
    Create an instance of `FetchAllAnnotationUsersResponse`

  - ### createFetchChangemarkConfigURIRequest

    public FetchChangemarkConfigURIRequest createFetchChangemarkConfigURIRequest()
    Create an instance of `FetchChangemarkConfigURIRequest`

  - ### createFetchChangemarkConfigURIResponse

    public FetchChangemarkConfigURIResponse createFetchChangemarkConfigURIResponse()
    Create an instance of `FetchChangemarkConfigURIResponse`

  - ### createFetchImagesRequest

    public FetchImagesRequest createFetchImagesRequest()
    Create an instance of `FetchImagesRequest`

  - ### createFetchImagesResponse

    public FetchImagesResponse createFetchImagesResponse()
    Create an instance of `FetchImagesResponse`